package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class TandaGejala
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "TandaGejala_M")
public class TandaGejalaVO extends BaseMasterVO {
	@Caption(value="Kode Tanda Gejala")
	private Byte kdTandaGejala;

	public void setKdTandaGejala(Byte kdTandaGejala) {
		this.kdTandaGejala = kdTandaGejala;
	}

	@Column(name = "KdTandaGejala", nullable = false )
	public Byte getKdTandaGejala(){
		return this.kdTandaGejala;
	}

	@Caption(value="QTanda Gejala")
	private Byte qTandaGejala;

	public void setqTandaGejala(Byte qTandaGejala) {
		this.qTandaGejala = qTandaGejala;
	}

	@Column(name = "QTandaGejala", nullable = false )
	public Byte getqTandaGejala(){
		return this.qTandaGejala;
	}

	@Caption(value="Tanda Gejala")
	private String tandaGejala;

	public void setandaGejala(String tandaGejala) {
		this.tandaGejala = tandaGejala;
	}

	@Column(name = "TandaGejala", nullable = false , length = 50)
	public String getTandaGejala(){
		return this.tandaGejala;
	}


}

